Subject: Re: [RFC PATCH] Disable Book-E KVM support?

From: "Nicholas Piggin" <[email-masked]>
Date: Tue, 06 Dec 2022 17:11:00 +1000

On Sun Dec 4, 2022 at 9:33 PM AEST, Christian Zigotzky wrote:
> Hi All,
>
> We regularly use QEMU with KVM HV on our A-EON AmigaOne X5000 machines 
> (book3e). It works fast and without any problems.
>
> Screenshot tour of QEMU/KVM HV on our AmigaOnes:
>
> - https://i.ibb.co/m4vgwNT/Kernel-6-1-rc3-Power-PC.png
> - https://i.ibb.co/Fwdjf7Z/Kernel-6-0-rc6-Power-PC.png
> - https://i.ibb.co/LYnJGdF/Kernel-5-19-rc5-Power-PC-2.png
> - https://i.ibb.co/vz1Wm5z/QEMU-with-9p-and-USB-sound.png
> - https://i.ibb.co/ScMjtp7/Kernel-5-17-alpha5-Power-PC.png
> - https://i.ibb.co/LQryFcK/Kernel-5-17-alpha4-Power-PC.png
> - https://i.ibb.co/kKLx9mf/Kernel-5-10-89-Power-PC.png
> - https://i.ibb.co/LRG1RDV/Kernel-5-10-89-Power-PC-2.png
> - https://i.ibb.co/NCFqY0k/QEMU-USB-Audio-on-Void-PPC.png
> - https://i.ibb.co/N1vL5Kd/Kernel-5-16-alpha3-Power-PC.png
> - https://i.ibb.co/SwjTyJk/Kernel-5-16-alpha1-Power-PC.png
> - https://i.ibb.co/LkpWNPx/Kernel-5-15-rc5-Power-PC.png
> - https://i.ibb.co/F8q1jDR/Kernel-5-15-rc4-Power-PC.png
> - https://i.ibb.co/zZxrbhV/Kernel-5-15-alpha6-Power-PC.png
> - 
> https://i.pinimg.com/originals/a8/8b/42/a88b422870201887fc01ef44ddc1a235.png
> - 
> https://i.pinimg.com/originals/57/d9/83/57d98324cd055b7ae00a87ad5a45a42f.png
> - 
> https://i.pinimg.com/originals/f2/a5/e3/f2a5e34e2015381b0cb87cc51232a8bc.png
> - 
> https://i.pinimg.com/originals/c5/0d/85/c50d85d7e8f20b4caa1a439faf751964.png
> - 
> https://i.pinimg.com/originals/6e/3b/59/6e3b59fe10276c5644b15622a81f43f1.png
>
> We solved some issues:
>
> - https://forum.hyperion-entertainment.com/viewtopic.php?p=54357#p54357
> - https://lists.ozlabs.org/pipermail/linuxppc-dev/2021-November/236307.html
> - https://lists.ozlabs.org/pipermail/linuxppc-dev/2022-September/249021.html
> - https://lists.ozlabs.org/pipermail/linuxppc-dev/2021-May/229103.html
> - https://lists.ozlabs.org/pipermail/linuxppc-dev/2021-January/223342.html
> - https://lists.ozlabs.org/pipermail/linuxppc-dev/2020-August/216379.html
> - 
> https://forum.hyperion-entertainment.com/viewtopic.php?f=58&t=4655&p=53393&hilit=KVM#p53393
> - https://forum.hyperion-entertainment.com/viewtopic.php?p=53209#p53209
>
> Please, do not remove KVM support from Book3e because it works without 
> any problems and fast. We need it for our work.

Hey Christian,

I knew you do a lot of testing with BookE, I didn't know you used KVM
there. Good to know it's working for you. In that case I withdraw my
question.

BookE KVM has not been too much trouble, but some things come up that
really need testing before patching, so a QEMU HV implementation would
be good to have (I mean QEMU running the host). mpe has a hardware but
probably no time$ to do much testing (especially of other peoples'
untested patches). So having that would help keep kernel support going.

Thanks,
Nick